Bug 1247112 - Can't print to Xerox WorkCentre 7120
Can't print to Xerox WorkCentre 7120
Status: NEW
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Zdenek Dohnal
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-27 07:14 EDT by Jiri Vyskocil
Modified: 2017-10-26 08:05 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:19:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
PPD file for 7120 (305.08 KB, text/plain)
2015-07-27 07:14 EDT, Jiri Vyskocil
no flags Details

  None (edit)
Description Jiri Vyskocil 2015-07-27 07:14:25 EDT
Created attachment 1056554 [details]
PPD file for 7120

Description of problem:

I'm trying to print on a ethernet connected Xerox WorkCentre 7120. The attached PPD file I use was extracted form a package offered on Xerox website (actually installing their drivers as advised makes no difference).

I'm trying the IPP, Socket, and LPD connections. With all three of them, I can see the ink levels reported in the Gnome's Printers configuration dialog. When I cannot print anything though.

With IPP, the job stays in "processing" state with "The printer is not responding." message.

With Socket, and LPD, a page is printed with following contents in an approx. 12pt monospaced font:

ERROR:
invalidaccess
OFFENDING COMMAND:
def
STACK:
--nostringval--
/pagesave


(There are other Xerox printers in the office. So far, I've tried the WorkCenter 5745, which works fine via IPP, and Samba PCL.)


Steps to Reproduce:
1. Add the printer configured via IPP, LPD, or Socket
2. Try to print anything (test page, office document)

Actual results:
IPP: show "The printer is not responding." message
Socket/LPD: An error page is printed


Expected results:
The document sent to the printer should be printed.
Comment 1 Tim Waugh 2015-08-14 11:32:08 EDT
Please try printing a raw PostScript document, like this:

echo test | paps | lp -o raw -d the-queue

Does that fail in the same way?
Comment 2 Jiri Vyskocil 2015-08-19 06:44:14 EDT
* Printing a raw PS document works for LPD, Socket, and SAMBA connections. 
* IPP still shows (in the Gnome notification) "The printer is not responding." message
* CUPS test page / PDF from Evince will print (on paper) the same error as before (invalidaccess)
Comment 3 Jiri Vyskocil 2015-11-11 06:01:46 EST
Still a problem in F23.
Comment 4 Tim Waugh 2015-11-11 06:13:58 EST
If you set the printer queue to be raw (lpadmin -p the-queue -m raw), does printing work from Evince?

Can you print over IPP this way?
Comment 5 Jiri Vyskocil 2015-11-19 05:54:51 EST
Printing over RAW socket wokrs if I do this:

[strazce@magni opice]$ lpadmin -p X7120-N-RAW -m raw
lpadmin: Forbidden
[strazce@magni opice]$ sudo lpadmin -p X7120-N-RAW -m raw
[sudo] password for strazce: 
[strazce@magni opice]$ evince


This doesn't work (nothing is printed, CUPS says: Processing - "The printer is not responding."):

[strazce@magni opice]$ sudo lpadmin -p X7120-N-IPP -m raw
[sudo] password for strazce: 
[strazce@magni opice]$ evince


I could probably somehow use the first variant, if it's possible to make that change permanent.
Comment 6 Tim Waugh 2015-11-20 06:48:08 EST
Well, I don't know what the difference between those two queues is. :-)
Comment 7 Jiri Vyskocil 2015-11-20 07:08:54 EST
Well, the terminology is a little bit confusing to me - I don't really know what exactly "queue" means in CUPS, and how it differs from "printer". X7120-N-RAW, and X7120-N-IPP are what I see in the list of "printers". That is for example if I open the CUPS admin page, and navigate to the "Printers" page, these are the strings listed in the "Queue name" column.

They appear after I go through the proccess which starts with clicking the "Add Printer" button on the "Administration" page.

I added the names myself, and they reflect whether I've chosen the ipp://printer.ip.address/ (X7120-N-IPP) or the socket://printer.ip.address/ (X7120-N-RAW) protocols when adding the printers.
Comment 8 Tim Waugh 2015-11-20 07:55:39 EST
Hmm, that seems to be the opposite of what happened in comment #2 then.

Are you sometimes able to print via ipp:// and not socket://, but sometimes able to print via socket:// and not ipp://? That would be pretty strange.

A CUPS queue is the same as the CUPS printer, but I prefer to say 'queue' as it distinguishes the physical printer device from the configuration for it in CUPS.
Comment 9 Jiri Vyskocil 2015-11-20 08:32:47 EST
I think the situation is almost the same, not opposite:

If I just boot up the laptop and try to print from any GUI application, or the CUPS test page, it NEVER works for the X7120 printer no matter the protocol.

If I try the suggestion from comment #4 it works over socket://, but not for ipp://

In comment #2 Printing worked for Socket, LPD, and Samba, but not IPP.



Just to recap the whole thing:


** There is a different Xerox printer in the office - a 5745, connected to the laptop. This other printer works without problems, all features included, via Socket, Samba, and IPP. I currently use Socket for this printer.


*** The failing printer is the Xerox 7120. If I don't do anything special, it never works. When I first posted this bug, I tried these:
 - IPP: shows "The printer is not responding." message, nothing is printed
 - Socket/LPD: An error page is printed
 - Samba: reports printing complete, nothing is actually printed (I don't particularly care about Samba)


* From comment 2 (that was on Fedora 22): 

A)
running:
$ echo test | paps | lp -o raw -d X7120-N-RAW
$ echo test | paps | lp -o raw -d X7120-N-SAMBA
$ echo test | paps | lp -o raw -d X7120-N-LPD
Worked as expected

B)
$ echo test | paps | lp -o raw -d X7120-N-IPP
Shows (in the Gnome notification) "The printer is not responding.", nothing is printed

C)
Trying to print anything from Gnome/CUPS test page, etc. results in the same problem as stated in the original post.


*** At present time, the 7120 printer (the physical thing) is used in two queues - X7120-N-RAW with a Socket connection, and X7120-N-IPP with IPP.

* status at comment #3, on Fedora 23:

Both queues are non-working. Socket prints the error page, IPP shows "The printer is not responding." and doesn't print anything.

* trying your suggestion from comment #4

A) The socket:// connected queue
$ sudo lpadmin -p X7120-N-RAW -m raw
$ evince
Printing works from Evince


B) The socket:// connected queue
$ sudo lpadmin -p X7120-N-IPP -m raw
$ evince
Shows (in the Gnome notification) "The printer is not responding.", nothing is printed.




So both of your suggestions worked for the Socket connection, but not the IPP one.
Comment 10 Jiri Vyskocil 2015-11-20 08:38:54 EST
A loooooong Friday. Obviously in the description of current situation, section B is the IPP connection. I wanted to write:

>
> * trying your suggestion from comment #4
> 
> A) The socket:// connected queue
> $ sudo lpadmin -p X7120-N-RAW -m raw
> $ evince
> Printing works from Evince
> 
> 
> B) The ipp:// connected queue
> $ sudo lpadmin -p X7120-N-IPP -m raw
> $ evince
> Shows (in the Gnome notification) "The printer is not responding.", nothing
> is printed.
> 
> 
> 
> 
> So both of your suggestions worked for the Socket connection, but not the
> IPP one.
Comment 11 Jiri Vyskocil 2015-12-03 05:38:54 EST
Just FYI - I got a new computer, did a fresh install of Fedora 23, added the printer via socket:// conncetion, and the problem is still there - error page gets printed instead of whatever I wanted to be printed.
Comment 12 Fedora Admin XMLRPC Client 2016-06-24 06:30:52 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 13 Fedora End Of Life 2016-11-24 07:15:00 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2016-12-20 09:19:31 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 15 Jiri Vyskocil 2016-12-23 05:29:35 EST
Tried o na fresh install of Fedora 25. The problem stays exactly the same...
Comment 16 João Rodrigues 2017-01-24 14:35:42 EST
Hello,

I'm also having the same issue in Fedora 25.

We have a couple of Xerox WorkCentre 7120 in our offices and we use a print server (Windows Server 2012r2) that share them on the network.

I can configure the printers via Samba connection but when I send them to the printer, the printer just prints the error:

ERROR:
invalidaccess
OFFENDING COMMAND:
def
STACK:
--nostringval--
/pagesave

Two things I've discovered:
1. If I open LibreOffice Writer and try to print a document and in the LibreOffice Writer's print dialogue I go to [ Properties.. ], choose the [ Device ] tab and change the Printer Language Type from Automatic (PDF) to PostScript Level 1, Level 2, Level 3 or Level from driver then it prints fine.

2. This issue doesn't happen in CentOS 7. I created a VM, added a new printer with the PPD file and it just works.

In Fedora 25:
cups-2.2.0-5.fc25.x86_64

In CentOS 7:
cups-1.6.3-26.el7.x86_64
Comment 17 Zdenek Dohnal 2017-01-31 07:03:24 EST
Hi João,

thank you for nice analysis, would you mind finding out what PPD file you are using on CentOS (you can use system-config-printer or 'grep -H '^*NickName:' /etc/cups/ppd/*.ppd')? Because I didn't find Xerox WorkCentre 7120 in supported printers in foomatic, gutenprint or cups. So I think it can print in some basic PostScript and it uses other PPD on CentOS.
Comment 18 João Rodrigues 2017-02-03 05:57:15 EST
Hi,

$ grep -H '^*NickName:' /etc/cups/ppd/*.ppd
/etc/cups/ppd/X7120.ppd:*NickName: "Xerox WorkCentre 7120"


http://www.support.xerox.com/support/workcentre-7120/file-download/enus.html?operatingSystem=linux&fileLanguage=en&contentId=113979&from=downloads&viewArchived=false

I downloaded this file from Xerox and then used the PPD in the archive (ppd/xr_WorkCentre7120.ppd)
Comment 19 João Rodrigues 2017-02-09 11:37:23 EST
Hello,

I think I found a solution.

CentOS 7 uses Poppler's pdftops filter and in Fedora the default is gs.

I changed the renderer back to pdftops and it worked.

$ sudo lpadmin -p YOUR-PRINTERS-NAME-HERE -o pdftops-renderer-default=pdftops
Comment 20 Zdenek Dohnal 2017-03-30 11:17:00 EDT
João,

would you mind trying ppds, which are shipped in foomatic or gutenprint, if they work with your solution?
Comment 21 João Rodrigues 2017-03-30 14:18:34 EDT
Hello,

I installed a new printer and used the ppd "Xerox WorkCentre 7228 Foomatic/Postscript" as there's no shipped ppd for the 7120.

Tried printing a text document and the document was printed with the default GhostScript filter.

But

Using the shipped ppd, I don't have the "Advanced Print" options, like choosing paper source, paper type or select monochrome/colour print.

In our offices we also have equitrac for print accounting.

When I use the 7228 Foomatic/Postcript and GhostScript filter equitrac shows a 0 page document costing 0,00 €.
If I change back to pdftops equitrac shows the correct information about number of pages and price.


These tests were performed with gedit and a plain text file.
Printers have Xerox's latest firmware (v71.21.21)

Test Number 1:

PPD: Xerox's 7120
Filter: gs
Equitrac shows 0 page document
Output: Prints 2 pages: first empty and second with the text:
ERROR:
invalidaccess
OFFENDING COMMAND:
def
STACK:
--nostringval--
/pagesave



Test Number 2:

PPD: 7228 Foomatic/Postscript
Filter: gs
Equitrac shows 0 page document
Output: Document printed.



Test Number 3:

PPD: Xerox's 7120
Filter: pdftops
Equitrac shows the correct number of pages
Output: Document printed.



Test Number 3:

PPD: 7228 Foomatic/Postscript
Filter: pdftops
Equitrac shows the correct number of pages
Output: Document printed.



In the end, the most "compatible" option is to use Xerox's PPD and change the filter from gs to pdftops.
Xerox's PPD has more options available and pdftops works better with equitrac.
Comment 22 Jiri Vyskocil 2017-10-26 08:05:11 EDT
Still an issue in F26. As João says, the best option seems to be using Xerox's PPD, and changing the filter to pdftops.

Note You need to log in before you can comment on or make changes to this bug.